Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WebAppComponentMBean

All Superinterfaces:
  ComponentMBean, ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, WebDeploymentMBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  WebServiceComponentMBean

Deprecated. 9.0.0.0 in favor of `AppDeploymentMBean`

public interface WebAppComponentMBean
extends ComponentMBean, WebDeploymentMBean

Provides methods for configuring a J2EE web application that is deployed on a WebLogic Server instance. WebLogic Server instantiates this interface only when you deploy a web application.

This interface can configure web applications that are deployed as a WAR file or an exploded directory.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String[]` | `INDEX_FILES` Deprecated.

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getAuthFilter()` Deprecated. 8.0.0.0 Use weblogic.xml.
`String` | `getAuthRealmName()` Deprecated. 8.1.0.0 Use weblogic.xml.
`int` | `getServletReloadCheckSecs()` Deprecated. 8.1.0.0 Use weblogic.xml or update using console.
`int` | `getSingleThreadedServletPoolSize()` Deprecated. 8.1.0.0 Use weblogic.xml or update using console.
`boolean` | `isIndexDirectoryEnabled()` Deprecated. 8.1.0.0 Use weblogic.xml or update using console.
`boolean` | `isPreferWebInfClasses()` Deprecated. 8.0.0.0 Use weblogic.xml.
`boolean` | `isServletExtensionCaseSensitive()` Deprecated.
`boolean` | `isSessionMonitoringEnabled()` Deprecated. 8.0.0.0 Use weblogic.xml or update using console.
`void` | `setAuthFilter(String name)` Deprecated. 8.0.0.0 Use weblogic.xml.
`void` | `setAuthRealmName(String name)` Deprecated. 8.1.0.0 Use weblogic.xml.
`void` | `setIndexDirectoryEnabled(boolean enable)` Deprecated. 8.1.0.0 Use weblogic.xml or update using console.
`void` | `setPreferWebInfClasses(boolean b)` Deprecated. 8.0.0.0 Use weblogic.xml.
`void` | `setServletExtensionCaseSensitive(boolean enable)` Deprecated.
`void` | `setServletReloadCheckSecs(int secs)` Deprecated. 8.1.0.0 Use weblogic.xml or update using console.
`void` | `setSessionMonitoringEnabled(boolean e)` Deprecated. 8.0.0.0 Use weblogic.xml or update using console.
`void` | `setSingleThreadedServletPoolSize(int siz)` Deprecated. 8.1.0.0 Use weblogic.xml or update using console.

Methods inherited from interface weblogic.management.configuration.ComponentMBean
`activated, getActivatedTargets, getApplication, getURI, refreshDDsIfNeeded, setApplication, setURI`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.management.configuration.WebDeploymentMBean
`addVirtualHost, addWebServer, getVirtualHosts, getWebServers, removeVirtualHost, removeWebServer, setDeployedVirtualHosts, setVirtualHosts, setWebServers`

Field Detail

### INDEX_FILES

    public static final String[] INDEX_FILES

  Deprecated.

Method Detail

### getAuthFilter

    public String getAuthFilter()

  Deprecated. 8.0.0.0 Use weblogic.xml.

  Provides the name of the AuthFilter Servlet class, which will be called before and after all authentication and authorization checks in the Web Application.

  Returns:
    The authFilter value
  Default value:
    null

### getAuthRealmName

    public String getAuthRealmName()

  Deprecated. 8.1.0.0 Use weblogic.xml.

  Provides the name of the Realm in the Basic Authentication HTTP dialog box, which pops up on the browsers. authRealmName is now set in weblogic.xml.

  Returns:
    The authRealmName value
  Default value:
    "weblogic"

### getServletReloadCheckSecs

    public int getServletReloadCheckSecs()

  Deprecated. 8.1.0.0 Use weblogic.xml or update using console.

  The amount of time (in seconds) that WebLogic Server waits to check if a servlet was modified and needs to be reloaded.

  How often WebLogic checks whether a servlet has been modified, and if so reloads it. When the value is set to -1, the servlet is never reloaded, and when the vlue is set to 0, the servlet is reloaded after each check.

  Returns:
    The servletReloadCheckSecs value
  Default value:
    1

### getSingleThreadedServletPoolSize

    public int getSingleThreadedServletPoolSize()

  Deprecated. 8.1.0.0 Use weblogic.xml or update using console.

  This provides size of the pool used for single threaded mode servlets. It

  defines the size of the pool used for SingleThreadedModel instance pools.

  Returns:
    The singleThreadedServletPoolSize value
  Default value:
    5

### isIndexDirectoryEnabled

    public boolean isIndexDirectoryEnabled()

  Deprecated. 8.1.0.0 Use weblogic.xml or update using console.

  Specifies whether the target should automatically generate an HTML directory listing if no suitable index file is found.

  Indicates whether or not to automatically generate an HTML directory listing if no suitable index file is found.

  Returns:
    The indexDirectoryEnabled value
  Default value:
    false

### isPreferWebInfClasses

    public boolean isPreferWebInfClasses()

  Deprecated. 8.0.0.0 Use weblogic.xml.

  Specifies whether classes loaded in the WEB-INF directory will be loaded in preference to classes loaded in the application or system calssloader.

  Deprecated the setting from console beginning with version 8.1. You must now set this in weblogic.xml.

  Returns:
    The preferWebInfClasses value
  Default value:
    false

### isServletExtensionCaseSensitive

    public boolean isServletExtensionCaseSensitive()

  Deprecated.

  Indicates whether servlet extensions should be treated as though they are lower case even if they are written in upper case.

  If True, the server treats all .extensions except .html as lower case. This is only necessary on WindowsNT. This property is being deprecated. The extension comparision will be case insensitive by default on Win32.

  Returns:
    The servletExtensionCaseSensitive value
  Default value:
    false

### isSessionMonitoringEnabled

    public boolean isSessionMonitoringEnabled()

  Deprecated. 8.0.0.0 Use weblogic.xml or update using console.

  Specifies whether runtime MBeans will be created for session monitoring.

  If true, then runtime MBeans will be created for sessions; otherwise, they will not.

  Returns:
    The sessionMonitoringEnabled value
  Default value:
    false

### setAuthFilter

    public void setAuthFilter(String name)

  Deprecated. 8.0.0.0 Use weblogic.xml.

  Sets the value of the authFilter attribute.

  Parameters:
    `name` - The new authFilter value
  See Also:
    `getAuthFilter()`

### setAuthRealmName

    public void setAuthRealmName(String name)
                          throws InvalidAttributeValueException

  Deprecated. 8.1.0.0 Use weblogic.xml.

  Sets the value of the authRealmName attribute.

  Parameters:
    `name` - The new authRealmName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAuthRealmName()`

### setIndexDirectoryEnabled

    public void setIndexDirectoryEnabled(boolean enable)

  Deprecated. 8.1.0.0 Use weblogic.xml or update using console.

  Sets the value of the indexDirectoryEnabled attribute.

  Parameters:
    `enable` - The new indexDirectoryEnabled value
  See Also:
    `isIndexDirectoryEnabled()`

### setPreferWebInfClasses

    public void setPreferWebInfClasses(boolean b)

  Deprecated. 8.0.0.0 Use weblogic.xml.

  Sets the value of the preferWebInfClasses attribute.

  Parameters:
    `b` - The new preferWebInfClasses value
  See Also:
    `isPreferWebInfClasses()`

### setServletExtensionCaseSensitive

    public void setServletExtensionCaseSensitive(boolean enable)

  Deprecated.

  Sets the value of the servletExtensionCaseSensitive attribute.

  Parameters:
    `enable` - The new servletExtensionCaseSensitive value
  See Also:
    `isServletExtensionCaseSensitive()`

### setServletReloadCheckSecs

    public void setServletReloadCheckSecs(int secs)
                                   throws InvalidAttributeValueException

  Deprecated. 8.1.0.0 Use weblogic.xml or update using console.

  Sets the value of the servletReloadCheckSecs attribute.

  Parameters:
    `secs` - The new servletReloadCheckSecs value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getServletReloadCheckSecs()`

### setSessionMonitoringEnabled

    public void setSessionMonitoringEnabled(boolean e)
                                     throws InvalidAttributeValueException

  Deprecated. 8.0.0.0 Use weblogic.xml or update using console.

  Sets the value of the sessionMonitoringEnabled attribute.

  Parameters:
    `e` - The new sessionMonitoringEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isSessionMonitoringEnabled()`

### setSingleThreadedServletPoolSize

    public void setSingleThreadedServletPoolSize(int siz)
                                          throws InvalidAttributeValueException

  Deprecated. 8.1.0.0 Use weblogic.xml or update using console.

  Sets the value of the singleThreadedServletPoolSize attribute.

  Parameters:
    `siz` - The new singleThreadedServletPoolSize value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSingleThreadedServletPoolSize()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD